Setup 11.3 fails on Mac

Asked by JF Nogier on 2018-09-18

I'm trying to install SikuliX using Setup 1.1.3 on Mac.

My configuration is :
Setup: 1.1.3 2018-07-11_08:19 in folder: /Applications/Sikulix
System: Mac OSX 10.13.6
Java: Java 10 (x86_64) 10.0.2+13

There is an error message : setup run script test jython: did not work

Java error is :
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/sikuli/ide/Sikulix : Unsupported major.minor version 52.0
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
 at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
 at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
 at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
 at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
error

Could you help me ?

Many thanks,
JFN

Question information

Language:
English Edit question
Status:
Answered
For:
Sikuli Edit question
Assignee:
No assignee Edit question
Last query:
2018-09-18
Last reply:
2018-09-18
RaiMan (raimund-hocke) said : #1

Use 1.1.4

JF Nogier (jf75010) said : #2

Thanks !

Where can I find setup for 1.1.4 ?

I have only founded 1.1.3 setup available on this site. Am I wrong ?

RaiMan (raimund-hocke) said : #3

the first place always is SikuliX homepage:
http://sikulix.com

Google should have helped ;-)

Can you help with this problem?

Provide an answer of your own, or ask JF Nogier for more information if necessary.

To post a message you must log in.